Package org.eclipse.lemminx.extensions.filepath.settings

## Class FilePathExpression

- java.lang.Object
- - org.eclipse.lemminx.extensions.filepath.SimpleFilePathExpression
  - - org.eclipse.lemminx.extensions.filepath.settings.FilePathExpression

All Implemented Interfaces:
  `IFilePathExpression`

    public class FilePathExpression
    extends SimpleFilePathExpression

File path expression `{ "xpath": "@paths", "separator": " " }`

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`FilePathExpression()`
`FilePathExpression​(String xpath)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `acceptFile​(Path path)`
`List<String>` `getFilter()`
`Character` `getSeparator()` Returns the separator character (ex: ';') used to separate multiple files declaration (ex: file1.xml;file2.xml) and null otherwise.
`String` `getXPath()`
`boolean` `match​(Node node)` Returns true if the given DOM node matches the file path expression and false otherwise.
`FilePathExpression` `setFilter​(List<String> filter)`
`FilePathExpression` `setSeparator​(Character separator)`
`FilePathExpression` `setXPath​(String xpath)`

### Methods inherited from class org.eclipse.lemminx.extensions.filepath.SimpleFilePathExpression

`acceptPath`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FilePathExpression

    public FilePathExpression()

#### FilePathExpression

    public FilePathExpression​(String xpath)

### Method Detail

#### getXPath

    public String getXPath()

#### getSeparator

    public Character getSeparator()

Description copied from interface: `IFilePathExpression`
Returns the separator character (ex: ';') used to separate multiple files declaration (ex: file1.xml;file2.xml) and null otherwise.

Specified by:
  `getSeparator` in interface `IFilePathExpression`
Overrides:
  `getSeparator` in class `SimpleFilePathExpression`
Returns:
  the separator character (ex: ';') used to separate multiple files declaration (ex: file1.xml;file2.xml) and null otherwise.

#### getFilter

    public List<String> getFilter()

#### setXPath

    public FilePathExpression setXPath​(String xpath)

#### setSeparator

    public FilePathExpression setSeparator​(Character separator)

#### setFilter

    public FilePathExpression setFilter​(List<String> filter)

#### match

    public boolean match​(Node node)

Description copied from interface: `IFilePathExpression`
Returns true if the given DOM node matches the file path expression and false otherwise.

Specified by:
  `match` in interface `IFilePathExpression`
Overrides:
  `match` in class `SimpleFilePathExpression`
Parameters:
  `node` - the DOM node.
Returns:
  true if the given DOM node matches the file path expression and false otherwise.

#### acceptFile

    protected boolean acceptFile​(Path path)

Overrides:
  `acceptFile` in class `SimpleFilePathExpression`